
Redmine - Defect #4740

update from 0.8x to 0.9x problem

2010-02-04 14:28 - Serge Kosse

Status: Closed Start date: 2010-02-04

Priority: High Due date:  

Assignee:  % Done: 0%

Category: Administration Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

$rake db:migrate

(in /var/www/vhosts/ror/redmine_tracker/current)

rake aborted!

RubyGem version error: rack(0.4.0 not ~> 1.0.1)

(See full trace by running task with --trace)

[alone@localhost current]$ gem list rack

LOCAL GEMS ***

rack (1.1.0, 1.0.0, 0.4.0)

[alone@localhost current]$ ruby -v

ruby 1.8.6 (2007-03-13 patchlevel 0) [i586-linux-gnu]

[alone@localhost current]$ gem -v

1.3.5

History

#1 - 2010-02-04 16:10 - Glenn Gould

From whatever reason, you seem to need exactly rack 1.0.1, which I was able to install with

gem install rack -v 1.0.1

 on a Debian Linux.

#2 - 2010-02-04 16:36 - Serge Kosse

Thanx.

And a further question:

installing rack - ok

migration - ok

restart passenger - ok

try to login... TADA!

500 internal error

in redmine production log:

/!\ FAILSAFE /!\  Thu Feb 04 17:33:19 +0200 2010

Status: 500 Internal Server Error

undefined method `rewind' for #<UNIXSocket:0xb72237f8>

/usr/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/request.rb:142:in `POST'

/usr/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/methodoverride.rb:15:in `call'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.3.5/lib/action_controller/params_parser.rb:15:in `call'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.3.5/lib/action_controller/session/cookie_store.rb:93:in `call'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.3.5/lib/action_controller/failsafe.rb:26:in `call'

/usr/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/lock.rb:11:in `call'

/usr/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/lock.rb:11:in `synchronize'

/usr/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/lock.rb:11:in `call'

etc...

#3 - 2010-02-04 17:03 - Serge Kosse

hmm...
after updating passenger - all ok

#4 - 2010-02-04 19:57 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid
